> ## Documentation Index
> Fetch the complete documentation index at: https://io-migration.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Extend Deployment Duration

> Increase the runtime of an existing deployment without redeploying.



## OpenAPI

````yaml openapi/extend-deployment-duration.json post /enterprise/v1/io-cloud/caas/deployment/{deployment_id}/extend
openapi: 3.1.0
info:
  title: IO API
  version: '1.0'
servers:
  - url: https://api.io.solutions/
security:
  - sec0: []
paths:
  /enterprise/v1/io-cloud/caas/deployment/{deployment_id}/extend:
    post:
      summary: Extend Deployment Duration
      description: Increase the runtime of an existing deployment without redeploying.
      operationId: extend-deployment-duration
      parameters:
        - name: deployment_id
          in: path
          schema:
            type: integer
            format: int32
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    data:
                      id: 3fa85f64-5717-4562-b3fc-2c963f66afa6
                      status: string
                      created_at: '2025-05-06T14:37:48.605Z'
                      started_at: '2025-05-06T14:37:48.605Z'
                      finished_at: '2025-05-06T14:37:48.605Z'
                      amount_paid: 0
                      completed_percent: 0
                      total_gpus: 0
                      gpus_per_container: 0
                      total_containers: 0
                      hardware_name: string
                      hardware_id: 0
                      locations:
                        - id: 0
                          iso2: string
                          name: string
                      brand_name: string
                      compute_minutes_served: 0
                      compute_minutes_remaining: 0
                      container_config:
                        entrypoint:
                          - string
                        env_variables: {}
                        traffic_port: 0
                        image_url: string
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        example: 3fa85f64-5717-4562-b3fc-2c963f66afa6
                      status:
                        type: string
                        example: string
                      created_at:
                        type: string
                        example: '2025-05-06T14:37:48.605Z'
                      started_at:
                        type: string
                        example: '2025-05-06T14:37:48.605Z'
                      finished_at:
                        type: string
                        example: '2025-05-06T14:37:48.605Z'
                      amount_paid:
                        type: integer
                        example: 0
                        default: 0
                      completed_percent:
                        type: integer
                        example: 0
                        default: 0
                      total_gpus:
                        type: integer
                        example: 0
                        default: 0
                      gpus_per_container:
                        type: integer
                        example: 0
                        default: 0
                      total_containers:
                        type: integer
                        example: 0
                        default: 0
                      hardware_name:
                        type: string
                        example: string
                      hardware_id:
                        type: integer
                        example: 0
                        default: 0
                      locations:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: integer
                              example: 0
                              default: 0
                            iso2:
                              type: string
                              example: string
                            name:
                              type: string
                              example: string
                      brand_name:
                        type: string
                        example: string
                      compute_minutes_served:
                        type: integer
                        example: 0
                        default: 0
                      compute_minutes_remaining:
                        type: integer
                        example: 0
                        default: 0
                      container_config:
                        type: object
                        properties:
                          entrypoint:
                            type: array
                            items:
                              type: string
                              example: string
                          env_variables:
                            type: object
                            properties: {}
                          traffic_port:
                            type: integer
                            example: 0
                            default: 0
                          image_url:
                            type: string
                            example: string
        '404':
          description: '404'
          content:
            application/json:
              examples:
                Result:
                  value: string
              schema:
                type: string
                example: string
        '422':
          description: '422'
          content:
            text/plain:
              examples:
                Result:
                  value:
                    detail:
                      - loc:
                          - string
                          - 0
                        msg: string
                        type: string
              schema:
                type: object
                properties:
                  detail:
                    type: array
                    items:
                      type: object
                      properties:
                        loc:
                          type: array
                        msg:
                          type: string
                          example: string
                        type:
                          type: string
                          example: string
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: oauth2
      flows: {}

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.